Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.ejb.query
Class MatchTupleAssembler

    java.lang.Object
      com.stc.eindex.ejb.query.TupleAssembler
          com.stc.eindex.ejb.query.MatchTupleAssembler

All Implemented Interfaces:
  ResultObjectAssembler

public class MatchTupleAssembler
extends TupleAssembler

The MatchTupleAssembler class is used by the match engine to assemble a MatchTuple object for each database tuple. The match tuple consists of a String array of elements that each correspond to a record field and the EUID of the record.

Constructor Summary
`MatchTupleAssembler()` Creates a new instance of the MatchTupleAssembler class.

Method Summary
`java.lang.Object` | `createRoot(java.lang.String objectName, AttributesData attrsData)` Creates the root object for each MatchTuple object.
`void` | `setDateConversionFormat(java.text.DateFormat aFormat)` Sets the format for converting java.util.Date fields into Strings in order to convert the data to the String array tuple.

Methods inherited from class com.stc.eindex.ejb.query.TupleAssembler
`createObjectAttributes, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatchTupleAssembler

    public MatchTupleAssembler()

  Creates a new instance of the MatchTupleAssembler class.

  Parameters:
    None.
  Throws:
    None.

Method Detail

### createRoot

    public java.lang.Object createRoot(java.lang.String objectName,
                                       AttributesData attrsData)
                                throws VOAException

  Creates the root object for each MatchTuple object.

  Specified by:
    `createRoot` in interface `ResultObjectAssembler`
  Overrides:
    `createRoot` in class `TupleAssembler`
  Parameters:
    `objectName` - The name of the root object.
    `attrsData` - The attribute data associated with the root object.
  Returns:
    `Object` - The root object of the fields in the MatchTuple object.
  Throws:
    `VOAException` - Thrown if an error occurs while creating the root object.

### setDateConversionFormat

    public void setDateConversionFormat(java.text.DateFormat aFormat)

  Sets the format for converting java.util.Date fields into Strings in order to convert the data to the String array tuple. The default format is yyyyMMdd.

  Parameters:
    `aFormat` - The new date format to use for conversion.
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.